// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef __OB_BalancerDatabase_fwd_h__
#define __OB_BalancerDatabase_fwd_h__

#include <OB/Template.h>

namespace LoadBalancing
{

class Database;
typedef Database* Database_ptr;
typedef Database_ptr DatabaseRef;

} // End of namespace LoadBalancing

void OBDuplicate(LoadBalancing::Database_ptr);
void OBRelease(LoadBalancing::Database_ptr);

namespace LoadBalancing
{

typedef OB::ObjVar< Database > Database_var;
typedef OB::ObjOut< Database > Database_out;

} // End of namespace LoadBalancing

#endif

