// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef __OB_BalancerLogger_fwd_h__
#define __OB_BalancerLogger_fwd_h__

#include <OB/Template.h>

namespace LoadBalancing
{

class Logger;
typedef Logger* Logger_ptr;
typedef Logger_ptr LoggerRef;

} // End of namespace LoadBalancing

void OBDuplicate(LoadBalancing::Logger_ptr);
void OBRelease(LoadBalancing::Logger_ptr);

namespace LoadBalancing
{

typedef OB::ObjVar< Logger > Logger_var;
typedef OB::ObjOut< Logger > Logger_out;

} // End of namespace LoadBalancing

#endif

