// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OCI_BIDIR_TRANSPORT_MANAGER_FWD_H
#define OCI_BIDIR_TRANSPORT_MANAGER_FWD_H

namespace OCI
{

namespace BiDir
{

class CallbackDispatcher;
typedef CallbackDispatcher* CallbackDispatcher_ptr;

class TransportManager;
typedef TransportManager* TransportManager_ptr;

} // End of namespace BiDir

} // End of namespace OCI

void OBDuplicate(OCI::BiDir::CallbackDispatcher_ptr);
void OBRelease(OCI::BiDir::CallbackDispatcher_ptr);

void OBDuplicate(OCI::BiDir::TransportManager_ptr);
void OBRelease(OCI::BiDir::TransportManager_ptr);

namespace OCI
{

namespace BiDir
{

typedef OB::ObjVar<CallbackDispatcher> CallbackDispatcher_var;

typedef OB::ObjVar<TransportManager> TransportManager_var;

} // End of namespace BiDir

} // End of namespace OCI

#endif
