# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir 	= 	..

SUPPLIER_NAME		= supplier.exe
CONSUMER_NAME		= consumer.exe

TARGETS	=	$(SUPPLIER_NAME) \
                $(CONSUMER_NAME)

!include $(top_srcdir)\config\Make.rules.mak

SUPPLIER_OBJS	= Supplier.obj
CONSUMER_OBJS	= Consumer.obj

ALL_CXXFLAGS	= $(CXXFLAGS)

ALL_CPPFLAGS	= /I. /I$(top_srcdir)\include $(OB_CPPFLAGS) $(CPPFLAGS)

ALL_LIBS	= $(top_srcdir)\lib\CosEvent$(LIBSUFFIX).lib \
    		  $(OB_LIBS) $(LIBS)

all:: $(TARGETS)

$(SUPPLIER_NAME): $(SUPPLIER_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ $(SUPPLIER_OBJS) \
	$(ALL_LIBS)

$(CONSUMER_NAME): $(CONSUMER_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ $(CONSUMER_OBJS) \
	$(ALL_LIBS)

!include .windep
