// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef EVENT_LOGGER_FWD_H
#define EVENT_LOGGER_FWD_H

#include <OB/Template.h>

namespace OB
{

class EventLogger;
typedef EventLogger* EventLogger_ptr;
typedef EventLogger_ptr EventLoggerRef;

} // End of namespace OB

void OBDuplicate(OB::EventLogger_ptr);
void OBRelease(OB::EventLogger_ptr);

namespace OB
{

typedef OB::ObjVar< EventLogger > EventLogger_var;
typedef OB::ObjOut< EventLogger > EventLogger_out;

} // End of namespace OB

#endif

