// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef NT_EVENT_SERVICE_H
#define NT_EVENT_SERVICE_H

//
// This class defines the ORBacus Event Service as a native NT Service.
//
class NTEventService : public OB::NTService
{
    //
    // The ORB
    //
    CORBA::ORB_var orb_;

    //
    // Has the service been stopped?
    //
    bool stopped_;

    //
    // References to the event channels
    //
    OBEventChannelFactory::EventChannelFactory_var untypedFactory_;
    OBTypedEventChannelFactory::TypedEventChannelFactory_var typedFactory_;

   void orb_run(bool);

public:

    NTEventService();
    
    virtual void start(int, char**, OB::Logger_ptr);
    virtual void stop();
};

#endif
