# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..

SERVER_NAME	= server.exe
CLIENT_NAME	= client.exe

TARGETS		= $(SERVER_NAME) \
		  $(CLIENT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= NamingExample.obj \
		  NamingExample_skel.obj

SERVER_OBJS	= Server.obj

CLIENT_OBJS	= Client.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. /I$(top_srcdir)\include $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(top_srcdir)\lib\CosNaming$(LIBSUFFIX).lib $(OB_LIBS) $(LIBS)
 
$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_OBJS) $(ALL_LIBS)

$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_LIBS)

NamingExample.cpp NamingExample.h: NamingExample.idl
	-del NamingExample.cpp NamingExample.h
	-del NamingExample_skel.cpp NamingExample_skel.h
	$(IDL) --no-type-codes NamingExample.idl

NamingExample_skel.cpp NamingExample_skel.h: NamingExample.cpp

!include .windep
