// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef HELLO_IMPL_H
#define HELLO_IMPL_H

#include <OB/Logger_fwd.h>

#include <Hello_skel.h>

class Hello_impl : public POA_Hello,
		   public PortableServer::RefCountServantBase
{
    CORBA::ORB_var orb_;
    PortableServer::POA_var poa_;
    OB::Logger_var logger_;
    
public:

    Hello_impl(
	CORBA::ORB_ptr orb,
	PortableServer::POA_ptr poa
    );

    virtual void
    say_hello()
        throw (CORBA::SystemException);

    virtual void
    shutdown()
        throw (CORBA::SystemException);

    virtual PortableServer::POA_ptr
    _default_POA();
};

#endif
