// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

//----------------------------------------------------------------------
// File:	call_funcs.h
//
// Description:	Client-side functions that invoke operations on
//		the server.
//----------------------------------------------------------------------

#ifndef _CALL_BASIC_TESTER_H_
#define _CALL_BASIC_TESTER_H_

#include <Benchmark.h>

class CallBasicTester
{
public:

    void ping(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void short_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void short_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void short_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void short_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void long_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void long_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void long_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void long_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void longlong_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void longlong_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void longlong_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void longlong_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void ushort_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void ushort_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void ushort_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void ushort_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void ulong_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void ulong_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void ulong_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void ulong_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void ulonglong_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void ulonglong_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void ulonglong_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void ulonglong_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void float_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void float_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void float_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void float_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void double_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void double_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void double_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void double_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void char_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void char_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void char_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void char_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void wchar_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void wchar_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void wchar_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void wchar_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void string_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void string_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void string_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void string_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void wstring_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void wstring_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void wstring_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void wstring_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void boolean_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void boolean_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void boolean_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void boolean_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void octet_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void octet_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void octet_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void octet_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void any_in_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void any_out_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void any_inout_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

    void any_ret_t(
	Benchmark::BasicTester_ptr obj,
	long iterations);

};

#endif // !_CALL_BASIC_TESTER_H_
