# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

SERVER_NAME	= server.exe
CLIENT_NAME	= client.exe

TARGETS		= $(SERVER_NAME) \
		  $(CLIENT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= Pizzeria.obj \
                  Customer_impl.obj

SERVER_OBJS	= Pizzeria_impl.obj \
                  Pizzeria_skel.obj \
		  Server.obj

CLIENT_OBJS	= Client.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)
 
$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_OBJS) $(ALL_LIBS)

$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_LIBS)

Pizzeria.cpp Pizzeria.h: Pizzeria.idl
	-del Pizzeria.cpp Pizzeria.h
	-del Pizzeria_skel.cpp Pizzeria_skel.h
	$(IDL) Pizzeria.idl

Pizzeria_skel.cpp Pizzeria_skel.h: Pizzeria.cpp

!include .windep
