// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef ECHO_IMPL_H
#define ECHO_IMPL_H

#include <Echo_skel.h>

class Echo_impl : public POA_Echo,
		  public PortableServer::RefCountServantBase
{
    //
    // The ORB
    //
    CORBA::ORB_var orb_;

    //
    // The servants default POA
    //
    PortableServer::POA_var poa_;

public:

    Echo_impl(CORBA::ORB_ptr, PortableServer::POA_ptr);

    virtual wchar_t* echo_message(const wchar_t*)
        throw(CORBA::SystemException);

    virtual PortableServer::POA_ptr _default_POA();
};

#endif
