# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

SERVER_NAME	= server.exe
SERVER_TIE_NAME	= server_tie.exe
COLLOCATED_NAME	= collocated.exe
CLIENT_NAME	= client.exe

TARGETS		= $(SERVER_NAME) \
		  $(SERVER_TIE_NAME) \
		  $(COLLOCATED_NAME) \
		  $(CLIENT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= Hello.obj

SERVER_OBJS	= Hello_skel.obj \
		  Hello_impl.obj \
		  Server.obj

SERVER_TIE_OBJS	= Hello_skel.obj \
		  Hello_impl_tie.obj \
		  Server_tie.obj

COLLOCATED_OBJS	= Hello_skel.obj \
		  Hello_impl.obj \
		  Collocated.obj

CLIENT_OBJS	= Client.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)
 
$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_OBJS) $(ALL_LIBS)

$(SERVER_TIE_NAME): $(COMMON_OBJS) $(SERVER_TIE_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_TIE_OBJS) $(ALL_LIBS)

$(COLLOCATED_NAME): $(COMMON_OBJS) $(COLLOCATED_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(COLLOCATED_OBJS) $(ALL_LIBS)

$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_LIBS)

Hello.cpp Hello.h: Hello.idl
	-del Hello.cpp Hello.h
	-del Hello_skel.cpp Hello_skel.h
	$(IDL) --no-type-codes --tie Hello.idl

Hello_skel.cpp Hello_skel.h Hello_skel_tie.h: Hello.cpp

!include .windep
