// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef Peer_IMPL_H
#define Peer_IMPL_H

#include <Peer_skel.h>

class Peer_impl : public POA_Peer,
		  public PortableServer::RefCountServantBase
{
    //
    // The servants default POA
    //
    PortableServer::POA_var poa_;

public:

    Peer_impl(PortableServer::POA_ptr);

    virtual void 
    decrement(CORBA::Long&, Peer_ptr)
        throw (CORBA::SystemException);

    virtual PortableServer::POA_ptr
    _default_POA();
};

#endif
