// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef VALUE_IMPL_H
#define VALUE_IMPL_H

namespace Demo
{

class Value_impl : virtual public OBV_Demo::Value,
                   virtual public CORBA::DefaultValueRefCountBase
{
    Value_impl(const Value_impl&);
    void operator=(const Value_impl&);

public:

    Value_impl();
    ~Value_impl();

    virtual CORBA::ValueBase* _copy_value();

    //
    // Standard IDL-to-C++ mapping
    //

    virtual void method1() { }
    virtual void method2() { }
    virtual void method3() { }

    virtual CORBA::Long attribute1() { return 0; }
    virtual void attribute1(CORBA::Long) { }

    virtual CORBA::Long attribute2() { return 0; }
    virtual void attribute2(CORBA::Long) { }

    virtual CORBA::Long attribute3() { return 0; }
    virtual void attribute3(CORBA::Long) { }
};

class Value_init : virtual public CORBA::ValueFactoryBase
{
    virtual CORBA::ValueBase* create_for_unmarshal();

public:
    Value_init();
    virtual ~Value_init();
};

} // End of namespace Demo

#endif
