// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>

#include <Finance.h>
#include <EmployeeFactory_impl.h>
#include <Employee_impl.h>

// ----------------------------------------------------------------------
// EmployeeFactory_impl private member implementation
// ----------------------------------------------------------------------

CORBA::ValueBase*
EmployeeFactory_impl::create_for_unmarshal()
{
    return new Employee_impl();
}

// ----------------------------------------------------------------------
// EmployeeFactory_impl public member implementation
// ----------------------------------------------------------------------

Employee*
EmployeeFactory_impl::create(CORBA::Float salary)
{
    return new Employee_impl(salary);
}
