// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef IMR_LOGGER_FWD_H
#define IMR_LOGGER_FWD_H

#include <OB/Template.h>

namespace IMROAD
{

class Logger;
typedef Logger* Logger_ptr;
typedef Logger_ptr LoggerRef;

} // End of namespace IMROAD

void OBDuplicate(IMROAD::Logger_ptr);
void OBRelease(IMROAD::Logger_ptr);

namespace IMROAD
{

typedef OB::ObjVar< Logger > Logger_var;
typedef OB::ObjOut< Logger > Logger_out;

} // End of namespace IMROAD

#endif

