// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_SERVER_FWD_H
#define OB_SERVER_FWD_H

#include <OB/Template.h>

namespace OB
{

class Server;
typedef Server* Server_ptr;

class ServerManager;
typedef ServerManager* ServerManager_ptr;

} // End of namespace OB

void OBDuplicate(OB::Server_ptr);
void OBRelease(OB::Server_ptr);
void OBDuplicate(OB::ServerManager_ptr);
void OBRelease(OB::ServerManager_ptr);

namespace OB
{

typedef ObjVar< Server > Server_var;

typedef ObjVar< ServerManager > ServerManager_var;

} // End of namespace OB

#endif
