// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/ValueFactoryBase.h>

using namespace CORBA;
using namespace OB;

// ----------------------------------------------------------------------
// ValueFactoryBase constructor and destructor
// ----------------------------------------------------------------------

ValueFactoryBase::ValueFactoryBase()
{
}

ValueFactoryBase::~ValueFactoryBase()
{
}

// ----------------------------------------------------------------------
// ValueFactoryBase public member functions
// ----------------------------------------------------------------------

void
ValueFactoryBase::_add_ref()
{
    _OB_incRef();
}

void
ValueFactoryBase::_remove_ref()
{
    _OB_decRef();
}

ValueFactory
ValueFactoryBase::_downcast(ValueFactoryBase* f)
{
    return f;
}

void
OBRelease(CORBA::ValueFactoryBase* f)
{
    if(f != 0)
        f -> _remove_ref();
}

void
OBDuplicate(CORBA::ValueFactoryBase* f)
{
    if(f != 0)
        f -> _add_ref();
}
