# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir      = ..\..

NAME		= TestCodesets.exe

SERVER_NAME	= server.exe
CLIENT_NAME	= client.exe

TARGETS		= $(SERVER_NAME) \
		  $(CLIENT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= TestCodeSets.obj

SERVER_OBJS	= TestCodeSets_skel.obj \
		  TestCodeSets_impl.obj \
		  Server.obj

CLIENT_OBJS	= Client.obj

GENERATED	= TestCodeSets.cpp \
		  TestCodeSets.h \
		  TestCodeSets_skel.cpp \
		  TestCodeSets_skel.h

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. /I..\include $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)

$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ $(COMMON_OBJS) $(SERVER_OBJS) $(ALL_LIBS)

$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ $(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_LIBS)

TestCodeSets.cpp TestCodeSets.h: TestCodeSets.idl
	$(IDL) --no-type-codes TestCodeSets.idl

TestCodeSets_skel.cpp TestCodeSets_skel.h: TestCodeSets.cpp

!include .windep
