// **********************************************************************
//
// Copyright (c) 2001
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>

#include <TestIntfExceptionsExt_2_3_impl.h>

#include <limits.h>

#ifdef HAVE_UNISTD_H
#   include <unistd.h>
#endif

using namespace CORBA;

TestIntfExceptionsExt_2_3_impl::TestIntfExceptionsExt_2_3_impl()
{
}

void
TestIntfExceptionsExt_2_3_impl::op_CODESET_INCOMPATIBLE_Ex()
    throw (CORBA::SystemException)
{
    JTCSynchronized synchronized(*this);

    throw CODESET_INCOMPATIBLE(31, COMPLETED_NO);
}

void
TestIntfExceptionsExt_2_3_impl::op_REBIND_Ex()
    throw (CORBA::SystemException)
{
    JTCSynchronized synchronized(*this);

    throw REBIND(32, COMPLETED_NO);
}

void
TestIntfExceptionsExt_2_3_impl::op_TIMEOUT_Ex()
    throw (CORBA::SystemException)
{
    JTCSynchronized synchronized(*this);

    throw TIMEOUT(33, COMPLETED_NO);
}

void
TestIntfExceptionsExt_2_3_impl::op_TRANSACTION_UNAVAILABLE_Ex()
    throw (CORBA::SystemException)
{
    JTCSynchronized synchronized(*this);

    throw TRANSACTION_UNAVAILABLE(34, COMPLETED_NO);
}

void
TestIntfExceptionsExt_2_3_impl::op_TRANSACTION_MODE_Ex()
    throw (CORBA::SystemException)
{
    JTCSynchronized synchronized(*this);

    throw TRANSACTION_MODE(35, COMPLETED_NO);
}

void
TestIntfExceptionsExt_2_3_impl::op_BAD_QOS_Ex()
    throw (CORBA::SystemException)
{
    JTCSynchronized synchronized(*this);

    throw BAD_QOS(36, COMPLETED_NO);
}


