// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef MULTI_IMPL_H
#define MULTI_IMPL_H

#include <Multi_skel.h>

class Multi_impl : public POA_Multi
{
    CORBA::ORB_var orb_;

public:

    Multi_impl(CORBA::ORB_ptr orb);

    virtual void deactivate()
        throw(CORBA::SystemException);

    virtual CORBA::ULong getpid()
        throw(CORBA::SystemException);

#ifdef __linux__
    CORBA::ULong pid_;
#endif
};

#endif
