// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>

#include <Hello_impl.h>

Hello_impl::Hello_impl(PortableServer::POA_ptr poa, const char* name)
    : poa_(PortableServer::POA::_duplicate(poa)), name_(name)
{
}

PortableServer::POA_ptr
Hello_impl::_default_POA()
{
    return PortableServer::POA::_duplicate(poa_);
}

char *
Hello_impl::say_hello()
    throw(CORBA::SystemException)
{
    CORBA::String_var msg;
    if(strlen(name_) > 0)
    {
	msg += name_;
	msg += " says: ";
    }
    msg += "Hello World!";

    return msg._retn();
}
