// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef HELLO_IMPL_H
#define HELLO_IMPL_H

#include <Hello_skel.h>

class Hello_impl : public POA_Hello,
                   public PortableServer::RefCountServantBase
{
    CORBA::ORB_var orb_;
    PortableServer::POA_var poa_;

public:
    Hello_impl(CORBA::ORB_ptr, PortableServer::POA_ptr);

    virtual PortableServer::POA_ptr _default_POA();

    virtual void say_hello(HelloCallback_ptr)
        throw(CORBA::SystemException);
    virtual void deactivate()
        throw(CORBA::SystemException);
};

#endif
