// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OCI_BIDIR_ACTIVE_TRANSPORT_FWD_H
#define OCI_BIDIR_ACTIVE_TRANSPORT_FWD_H

#include <OB/Template.h>

namespace OCI
{

namespace BiDir
{

class Message;
typedef Message* Message_ptr;

class ActiveTransport;
typedef ActiveTransport* ActiveTransport_ptr;

class ActiveTransportWrapper;
typedef ActiveTransportWrapper* ActiveTransportWrapper_ptr;

} // End of namespace BiDir

} // End of namespace OCI

void OBDuplicate(OCI::BiDir::Message_ptr);
void OBRelease(OCI::BiDir::Message_ptr);

void OBDuplicate(OCI::BiDir::ActiveTransport_ptr);
void OBRelease(OCI::BiDir::ActiveTransport_ptr);

void OBDuplicate(OCI::BiDir::ActiveTransportWrapper_ptr);
void OBRelease(OCI::BiDir::ActiveTransportWrapper_ptr);

namespace OCI
{

namespace BiDir
{

typedef OB::ObjVar< Message > Message_var;

typedef OB::ObjVar< ActiveTransport > ActiveTransport_var;

typedef OB::ObjVar< ActiveTransportWrapper > ActiveTransportWrapper_var;

} // End of namespace BiDir

} // End of namespace OCI

#endif
