dnl **********************************************************************
dnl
dnl Copyright (c) 2002
dnl IONA Technologies, Inc.
dnl Waltham, MA, USA
dnl
dnl All Rights Reserved
dnl
dnl **********************************************************************

dnl ----------------------------------------------------------------------
dnl Check for the libraries that contain dlopen()
dnl ----------------------------------------------------------------------

l_dl=

if test -z "$l_dl"
then
    AC_CHECK_LIB(c, dlopen, l_dl=c)
fi

if test -z "$l_dl"
then
    AC_CHECK_LIB(dl, dlopen, l_dl=dl)
fi

if test -z "$l_dl"
then
    AC_CHECK_LIB(dld, dlopen, l_dl=dld)
fi

if test -z "$l_dl"
then
    AC_MSG_ERROR(couldn't find dlopen() call in any library!)
elif test "$l_dl" != "c"
then
    LIBS="$LIBS -l$l_dl"
fi
