// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef ACCOUNT_IMPL_H
#define ACCOUNT_IMPL_H

//
// IDL:Account:1.0
//
class Account_impl : public POA_Account,
                     public PortableServer::RefCountServantBase
{
    Account_impl(const Account_impl&);
    void operator=(const Account_impl&);

public:

    Account_impl();
    ~Account_impl();

    //
    // IDL:Describable/get_description:1.0
    //
    virtual char* get_description()
        throw(CORBA::SystemException);
};

#endif
