// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef CURRENCY_IMPL_H
#define CURRENCY_IMPL_H

//
// IDL:Currency:1.0
//
class Currency_impl : public OBV_Currency,
                      public CORBA::DefaultValueRefCountBase
{
    Currency_impl(const Currency_impl&);
    void operator=(const Currency_impl&);

public:

    Currency_impl();
    ~Currency_impl();

    //
    // Inherited from CORBA::ValueBase
    //
    virtual CORBA::ValueBase* _copy_value();

    //
    // IDL:Describable/get_description:1.0
    //
    virtual char* get_description();
};

class CurrencyFactory_impl : virtual public CORBA::ValueFactoryBase
{
    //
    // Inherited from CORBA::ValueFactoryBase
    //
    virtual CORBA::ValueBase* create_for_unmarshal();

public:
    
    CurrencyFactory_impl();
    ~CurrencyFactory_impl();
};

#endif
