# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

WINDIRS		= Windows

SERVER_NAME	= server.exe

TARGETS		= $(SERVER_NAME) \
		  Receiver_skel.obj \
		  ReceiverBase_impl.obj

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= Receiver.obj \
		  Broadcaster.obj

SERVER_OBJS	= Server.obj \
		  Broadcaster_skel.obj \
		  BroadcasterAdmin_impl.obj \
		  Broadcaster_impl.obj

CLIENT_OBJS	= Client.obj \
		  Receiver_skel.obj \
		  ReceiverBase_impl.obj \
		  Receiver_impl.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)

$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_OBJS) $(ALL_LIBS)

Receiver.cpp Receiver.h: Receiver.idl
	-del Receiver.cpp Receiver.h
	-del Receiver_skel.cpp Receiver_skel.h
	$(IDL) -I. --no-type-codes Receiver.idl

Receiver_skel.cpp Receiver_skel.h: Receiver.cpp

Broadcaster.cpp Broadcaster.h: Broadcaster.idl
	-del Broadcaster.cpp Broadcaster.h
	-del Broadcaster_skel.cpp Broadcaster_skel.h
	$(IDL) -I. --no-type-codes Broadcaster.idl

Broadcaster_skel.cpp Broadcaster_skel.h: Broadcaster.cpp

INCLUDE=$(INCLUDE);$(JTC_DIR)\include
LIB=$(LIB);$(JTC_DIR)\lib

!if "$(DEBUG)" == "yes"
WINCLIENT_CFG="WinClient - Win32 Debug with JThreads"
!else
WINCLIENT_CFG="WinClient - Win32 Release with JThreads"
!endif

all depend clean::
	@cmd /c "cd Windows & $(MAKE) /f WinClient.mak \
	CFG=$(WINCLIENT_CFG) $@"

!include .windep
