// WinClientDlg.h : header file
//


namespace chat
{


class Receiver_impl;

/////////////////////////////////////////////////////////////////////////////
// CWinClientDlg dialog

class CWinClientDlg : public CDialog,
		      public ReceiverBase_impl,
		      public PortableServer::RefCountServantBase
{
// Construction
public:
    CWinClientDlg(CORBA::ORB_ptr orb, 
		  PortableServer::POA_ptr poa,
		  BroadcasterAdmin_ptr server,
		  CWnd* pParent = NULL);	// standard constructor
    virtual ~CWinClientDlg();

// Dialog Data
    //{{AFX_DATA(CWinClientDlg)
    enum { IDD = IDD_WINCHAT_DIALOG };
    CEdit	m_EditOutput;
    CEdit	m_EditInput;
    //}}AFX_DATA
    
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CWinClientDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
    //}}AFX_VIRTUAL

// Implementation
protected:
    HICON m_hIcon;

    // Generated message map functions
    //{{AFX_MSG(CWinClientDlg)
    virtual BOOL OnInitDialog();
    afx_msg void OnPaint();
    afx_msg HCURSOR OnQueryDragIcon();
    afx_msg void OnChangeEditInput();
    afx_msg void OnButtonAbout();
    afx_msg void OnButtonHelp();
    afx_msg void OnDestroy();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

public:

    //
    // Execute specific receiver commands
    //
    virtual void cmdQuit();
    
    //
    // Print message
    //
    virtual void print(const char*)
	throw(CORBA::SystemException);
};
    
}; // namespace chat
