// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef PIZZERIA_IMPL_H
#define PIZZERIA_IMPL_H

#include <Pizzeria_skel.h>

//
// IDL:Pizzeria:1.0
//
class Pizzeria_impl : public POA_Pizzeria,
		      public PortableServer::RefCountServantBase
{
    Pizzeria_impl(const Pizzeria_impl&);
    void operator=(const Pizzeria_impl&);

public:

    Pizzeria_impl();
    ~Pizzeria_impl();

    //
    // IDL:Pizzeria/order_pizza:1.0
    //
    virtual void order_pizza(Pizzeria::Size,
                             const Pizzeria::Toppings&,
                             Customer*)
        throw(CORBA::SystemException);
};

#endif
