// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OAD_SERVER_H
#define OAD_SERVER_H

namespace OAD
{

//
// Forward declarations
//
class ProcessDatabase;
class ProcessController_impl;

class OADServer
{
    PortableServer::POAManager_var slaveManager_;
    PortableServer::POA_var poa_;
    OAD::ProcessController_impl* controller_;
    PortableServer::ObjectId_var oid_;
    ProcessDatabase* db_;

public:
    
    OADServer(CORBA::ORB_ptr, IMROAD::Logger_ptr, OB::Properties_ptr,
    	      const char*, bool);
    ~OADServer();

    void shutdown();
};

} // End namespace OAD

#endif
