// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef IMR_SERVER_RECORD_FWD_H
#define IMR_SERVER_RECORD_FWD_H

#include <OB/Template.h>

namespace IMR
{

class ServerRecord;
typedef ServerRecord* ServerRecord_ptr;
typedef ServerRecord_ptr ServerRecordRef;

} // End of namespace IMR

void OBDuplicate(IMR::ServerRecord_ptr);
void OBRelease(IMR::ServerRecord_ptr);

namespace IMR
{

typedef OB::ObjVar< ServerRecord > ServerRecord_var;
typedef OB::ObjOut< ServerRecord > ServerRecord_out;

} // End of namespace IMR

#endif

