// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>
#include <TestCodeSets_impl.h>

using namespace CORBA;

TestCodeSets_impl::TestCodeSets_impl(ORB_ptr orb)
    : orb_(ORB::_duplicate(orb))
{
}

Char
TestCodeSets_impl::testChar(Char c)
    throw(SystemException)
{
    return c;
}

char*
TestCodeSets_impl::testString(const char* s)
    throw(SystemException)
{
    return string_dup(s);
}

WChar
TestCodeSets_impl::testWChar(WChar wc)
    throw(SystemException)
{
    return wc;
}

wchar_t*
TestCodeSets_impl::testWString(const wchar_t* ws)
    throw(SystemException)
{
    return wstring_dup(ws);
}

void
TestCodeSets_impl::deactivate()
    throw(SystemException)
{
    orb_ -> shutdown(false);
}
